## How to contribute to PullToRefresh

#### **Did you find a bug?**

* **Ensure the bug was not already reported** by searching under [Issues](https://github.com/Yalantis/PullToRefresh/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/Yalantis/PullToRefresh/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **example project** demonstrating the expected behavior that is not occurring.

* Fill appropriate section in issue template and remove the section you aren't interested in.

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.
 
* Ensure the PR doesn't extend the number of existing issues.

#### **Did you fix whitespace, format code, or make a purely cosmetic patch?**

* Changes that are **cosmetic** in nature and **do not add anything substantial** to the stability or functionality of PullToRefresh will generally **not be accepted**.

#### **Did you write patch that extends functionality?**

* Ensure the functionality you trying to add needed not only for your case.

#### Each issue will be labeled by it's `type`, `priority` and `status`.

**Issue types:**
* Bug
* Enhancement

**These are the available priority labels:**
* Critical
* High
* Medium
* Low

**Status label will be assigned to your issue to keep the issue tracker easy to follow:**
* Queued (will be reviewed soon)
* Reviewed (assignee has read it)
* Pending (will work on it soon)
* Work in progress (is working on it now)
* On hold
* Invalid (if bug it's not reproducible)
* Need feedback (signal to get people to read and comment or provide help)

#### **Coding Style**

* Most importantly, match the existing code style as much as possible.

#### **Do you have a question?**

For any usage questions that are not specific to the project itself, please ask on [Stack Overflow](https://stackoverflow.com/). By doing so, you'll be more likely to quickly solve your problem, and you'll allow anyone else with the same question to find the answer. This also allows maintainers to focus on improving the project for others.

## Thank you! 

#### [![Yalantis](https://raw.githubusercontent.com/Yalantis/PullToMakeSoup/master/PullToMakeSoupDemo/Resouces/badge_dark.png)](https://Yalantis.com/?utm_source=github)
